For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Select Shipping Rate for Quote

PUT
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id/shipping-rate
PUT
/api/v3/io/rfq/:quote_id/shipping-rate
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customShippingMethodName": "LTL Freight",
> "customShippingMethodCost": 175
>}'
1{
2 "meta": {
3 "message": "SUCCESS"
4 },
5 "code": 200,
6 "data": {}
7}
Adds a shipping method to a specific quote based on the provided `quoteId`. Use the [Get Available Shipping Rates for a Quote](#get-rfq-quote_id-shipping-rates) or [Get All B2B Quote Custom Shipping Methods](#get-rfq-quote_id-custom-shipping) endpoints to retrieve shipping method information that you can add to the quote. The request body must include either the `shippingMethodId` field to add a static or real-time shipping method, *or* the `customShippingMethodName` **and** the `customShippingMethodCost` fields to add a custom shipping method. <Warning>This endpoint uses `/shipping-rate` (singular). Don't confuse it with the [Get Available Shipping Rates for a Quote](#get-rfq-quote_id-shipping-rates) endpoint, which uses `/shipping-rates` (plural). Using the wrong URL returns a **405 - Method Not Allowed** error.</Warning>
Was this page helpful?
Previous

Export Quote PDF

Next

Remove Selected Shipping Rate from Quote

Built with

Adds a shipping method to a specific quote based on the provided quoteId.

Use the Get Available Shipping Rates for a Quote or Get All B2B Quote Custom Shipping Methods endpoints to retrieve shipping method information that you can add to the quote.

The request body must include either the shippingMethodId field to add a static or real-time shipping method, or the customShippingMethodName and the customShippingMethodCost fields to add a custom shipping method.

This endpoint uses /shipping-rate (singular). Don’t confuse it with the Get Available Shipping Rates for a Quote endpoint, which uses /shipping-rates (plural). Using the wrong URL returns a 405 - Method Not Allowed error.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
shippingMethodIdstringOptional

Shipping method ID. Cannot be used with customShippingMethodName at the same time.

customShippingMethodNamestringOptional

Custom shipping method name. Cannot be used with shippingMethodId at the same time.

customShippingMethodCostdoubleOptional>=0
Custom shipping method cost. Required when using custom shipping method.

Response

OK
metaobject
codeintegerDefaults to 200

Errors

422
Unprocessable Entity Error